<?
  session_start();
  require('../valtiempoinact.php');
  require('../conectar.php');
  if(isset($_POST['botonregistro']))
    {
		
	 $id_cliente=$_POST['id_cliente'];
	 $id_renta=$_POST['id_renta'];	
	 //$f_cierre=$_POST['testinput'];
	 //$m_cierre=substr($f_cierre,0,2);
	 //$d_cierre=substr($f_cierre,3,2);
	 //$a_cierre=substr($f_cierre,6,4);
	 //$fecha_cierre=$a_cierre."-".$m_cierre."-".$d_cierre;	
	 $fecha_cierre=$_POST['testinput']; 
	 
	 //seccion datos del cliente
	 $ap=$_POST['ap'];
	 $am=$_POST['am'];
	 $nombre=$_POST['nombre'];
	 $pais=$_POST['paises'];
	 $estado=$_POST['estados'];
	 $sexo=$_POST['sexo'];
	 $mail=$_POST['mail'];
	 $edad=$_POST['edad'];
	 $intacc1=$_POST['intacc1'];
	 $coco1=$_POST['coco1'];
	 $aco1=$_POST['aco1'];
	 $num1=$_POST['num1'];
	 $intacc2=$_POST['intacc2'];
	 $coco2=$_POST['coco2'];
	 $aco2=$_POST['aco2'];
	 $num2=$_POST['num2'];
	 $motivoviaje=$_POST['motviaje'];
	 //seccion datos renta	 
	 $fecha=$_POST['fecha'];
	 $gerente=$_POST['gerente'];
	 $coordinador=$_POST['depto'];
	 $ejecutivo=$_POST['depto2'];
	 $tipoprospeccion=$_POST['tipoprospeccion'];
	 $medio=$_POST['medio'];
	 $submedio=$_POST['submedio'];
	 //seccion evaluacion del prospecto
	 $califica=$_POST['combo'];
	 $motivonocal=$_POST['mncal'];
	 //$causanqotra=$_POST['causa'];
	 $tiempoestancia=$_POST['comfr'];
	 $nirazon=$_POST['nic'];
	 $fi=$_POST['fini'];
	 $ff=$_POST['ffin'];
	 //$propiedad=$_POST['deparprop'];
	 $estmtostatus=$_POST['estmnto']."<br>";
	 $camaexstatus=$_POST['camaex']."<br>";
	 $cunastatus=$_POST['cuna']."<br>";
	 $mascotastatus=$_POST['mascota'];
	 $cuotainvitado=$_POST['invitado'];
	 $nopersonas=$_POST['npers'];
	 $descuento=$_POST['descuento'];
	 $complejo=$_POST['compl'];
	 $iddepartamento=$_POST['iddep'];
	 $clavedepartamento=$_POST['clavedep'];
	 $montorentadep=$_POST['monto'];
	 $depositogarantia=$_POST['deposito']; 
	 $personaextraconcama=$_POST['perextcama'];
	 $personaextra=$_POST['persext']; 
	 $estacionamiento=$_POST['estmnto2'];
	 $camaextra=$_POST['camaex2'];
	 $cuna=$_POST['cuna2'];
	 $mascota=$_POST['mascota2'];
	 $subtotal=$_POST['subtotal2'];
	 $iva=$_POST['iva2'];
	 $total=$_POST['total2'];
	 $tipomoneda=$_POST['tipomoneda'];
	 $noaņos=$_POST['noanos'];
	 $nomeses=$_POST['nomeses'];
	 $nosem=$_POST['nosem'];
	 $nodias=$_POST['nodias'];
	 //seccion de pre-apartado
	 $ubicacionactual=$_POST['ubiact'];
	 $factura=$_POST['factura'];
	 $tipopago=$_POST['tipopago'];
	 $formapago=$_POST['formapago'];
	 $capacidad=$_POST['cap'];
	 $limite=$_POST['lim'];
	 $status_renta=$_POST['status_renta'];
	 $descuento=$_POST['descuento'];
	 $tipo_renta=$_POST['tipo_renta'];
	 
	 //VERIFICA SI EXISTEN REGISTROS EN TABLA LLENACOMBOS SI NO EXISTEN REGISTRA//
	 $sqlmotivoviaje="select * from llenacombos where campo='MOTIVO_VIAJE' and nom='$motivoviaje'";
	 $ejemotviaje=mysql_query($sqlmotivoviaje);
	 $encontro=mysql_num_rows($ejemotviaje);
	 mysql_free_result($ejemotviaje);
	 if($encontro==0){
	    $insmotviaje="INSERT INTO llenacombos(id,nom,campo) values('','$motivoviaje','MOTIVO_VIAJE')";
		mysql_query($insmotviaje);
	 }
	 $sqltipopros="select * from llenacombos where campo='TIPO_PROSPECCION' and nom='$tipoprospeccion'";
	 $ejetipopros=mysql_query($sqltipopros);
	 $encontrotipopros=mysql_num_rows($ejetipopros);
	 if($encontrotipopros==0){
	    $insmotviaje="INSERT INTO llenacombos(id,nom,campo) values('','$tipoprospeccion','TIPO_PROSPECCION')";
		mysql_query($insmotviaje);
	 }
	 mysql_free_result($ejetipopros); 
	 $sqlmotivonocal="SELECT * FROM llenacombos WHERE campo='MOTIVO_NO_CALIFICA' and nom='$motivonocal'";
	 $ejenocalifica=mysql_query($sqlmotivonocal);
	 $encontromotivo=mysql_num_rows($ejenocalifica);
	 if($encontromotivo==0){
	   $insmotviaje="INSERT INTO llenacombos(id,nom,campo) values('','$motivonocal','MOTIVO_NO_CALIFICA')";
	   mysql_query($insmotviaje);
	 }
	 mysql_free_result($ejenocalifica);
	 
	 $sqlmedio="SELECT * FROM medio WHERE id='$medio'";
	 $ejemedio=mysql_query($sqlmedio);
	 $encontromedio=mysql_num_rows($ejemedio);
	 if($encontromedio==0){
	   $insmedio="INSERT INTO medio(canal) values('$medio')";
	   mysql_query($insmedio);
	 }
	 mysql_free_result($ejemedio);
	 
	 // INSERTAR SUBMEDIOS	 
	 $sqlsubmedio=mysql_query("select count(*) as repetidos from submedio where idsubmedio='$submedio'",$db_conexion);
	 $ressqlsubmedio=mysql_fetch_array($sqlsubmedio);
	 if($ressqlsubmedio['repetidos']==0)
	 {
	  $insertasubmed=mysql_query("insert into submedio(idcanal,subcanal) values('$medio','$submedio')",$db_conexion);
	  // CONSULTA PARA EXTRAER EL ID DEL NUEVO SUBMEDIO E INSERTARLO A LA TABLA RENTA
	 $idsubm=mysql_query("select * from submedio where subcanal='$submedio'",$db_conexion);
	 if($ridsubm=mysql_fetch_array($idsubm))
	 { $idsubmedio=$ridsubm['idsubmedio']; }
 	 // CONSULTA PARA EXTRAER EL ID DEL NUEVO SUBMEDIO E INSERTARLO A LA TABLA RENTA
	  $subme=$idsubmedio;
	 } 
	 else
	 {
	  $subme=$submedio;	 
	 }
	 mysql_free_result($sqlsubmedio);
	 
	 // TERMINA INSERTAR SUBMEDIOS	 
	 
	 //TERMINA VERIFICACION SI EXISTEN REGISTROS EN TABLA LLENACOMBOS SI NO EXISTEN REGISTRA//	 
	 
	// MODIFICAR DATOS DE LA RENTA
	switch ($diasapartado)
	        {
			 case 0:
			        $fechapartado=$fecha;	
			 case 1:
			        $fechapartado=date("Y-m-d", strtotime($fecha ."+ 1 days"));
					break;
			 case 2:
                    $fechapartado=date("Y-m-d", strtotime($fecha ."+ 2 days"));
					break;	
             case 3:
                 	$fechapartado=date("Y-m-d", strtotime($fecha ."+ 3 days"));
					break;	
             default:	
                    $fechapartado="";			 
			}
	
$sql="INSERT INTO rentas(id_renta,id_cliente,id_gerente,id_coordinador,id_ejecutivo,prospeccion,medio,submedio,califica,motivo_nocal,razon_ni,id_complejo,id_departamento,fecha,hora_registro,dia_inicio,dia_salida,fecha_apartado,deposito,hospedaje,perextcama,per_extra,garage,camaextra,cuna,mascota,subtotal,impuesto,otros,total,tipomoneda,formarenta,estmtostatus,camaexstatus,cunastatus,mascotastatus,cuotainvitado,noPersonas,no_anios,no_meses,no_sem,no_dias,ubicacionactual,factura,tipopago,formapago,limpieza,kit_B,fecha_cierre,status_renta,seguimiento,descuento,autoriza_desc,motivo_desc,tipo_renta) VALUES ('',(SELECT id_cliente FROM clientes WHERE nombre='$nombre' and a_pat='$ap' and a_mat='$am' and email='$mail'),'$gerente','$coordinador','$ejecutivo','$tipoprospeccion','$medio','$subme','$califica','$motivonocal','$nirazon','$complejo','$iddepartamento','$fecha',CURTIME(),'$fi','$ff','$fechapartado','$depositogarantia','$montorentadep','$personaextraconcama','$personaextra','$estacionamiento','$camaextra','$cuna','$mascota','$subtotal','$iva','','$total','$tipomoneda','$tiempoestancia','$estmtostatus','$camaexstatus','$cunastatus','$mascotastatus','$cuotainvitado','$nopersonas','$noaņos','$nomeses','$nosem','$nodias','$ubicacionactual','$factura','$tipopago','$formapago','','','$fecha_cierre','$status_renta','','$descuento','','','$tipo_renta')";

	 $con=mysql_query($sql,$db_conexion);
	 //TERMINA  MODIFICAR DATOS DE LA RENTA//
	 
	 //INSERTA HUESPEDES//
       $nmax=$nopersonas - $capacidad;	 
	   for($i=1;$i<=$nmax;$i++) // numero de inputs
        {
		 $huespednom=strtoupper($_POST["fil$i"]);
		 $huespedap=strtoupper($_POST["ap$i"]);
		 $huespedam=strtoupper($_POST["am$i"]);
        $sql="INSERT INTO huesped(id_huesped,id_renta,id_cliente,nombre,a_pat,a_mat) VALUES ('',(SELECT id_renta FROM rentas WHERE id_cliente=(SELECT id_cliente FROM clientes WHERE nombre='$nombre' and a_pat='$ap' and a_mat='$am' and email='$mail')),(SELECT id_cliente FROM clientes WHERE nombre='$nombre' and a_pat='$ap' and a_mat='$am' and email='$mail'),'$huespednom','$huespedap','$huespedam')";	
         $con=mysql_query($sql);		 
        }  
    //TERMINA INSERTA HUESPEDES
    }  
		
	echo "<script language='javascript'>alert('El prospecto se registro correctamente')</script>";
	echo "<script language='javascript'>window.close()</script>";

?>	